package com.jianshui.web.controller.platform;

import cn.hutool.json.JSON;
import com.jianshui.common.core.controller.BaseController;
import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.platform.dto.BillInfoPDTO;
import com.jianshui.platform.service.InvoiceAddService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * 发票录入
 * 
 */
@Api(tags={"单据录入"},value = "单据录入")
@RestController
@RequestMapping("/platForm/documentEntry/")
public class InvoiceAddController extends BaseController {

    @Autowired
    private static InvoiceAddService addService;

    @ApiOperation(value = "单据保存",notes = "单据保存请求")
    @PostMapping( "invoiceSave")
    public AjaxResult invoiceSave(@RequestBody BillInfoPDTO billInfoPDTO) throws Exception {
        return toAjax(addService.invoiceSave(billInfoPDTO));
    }











}
