package com.jianshui.web.controller.platform;

import com.jianshui.invoice.domain.dto.HXResponse;
import com.jianshui.platform.dto.InvoiceDeliveryJsonDataDTO;
import com.jianshui.platform.service.InvoiceDeliveryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: xingze
 * @Description: 发票交付
 * @CreateTime: 2023-06-06  10:27
 * @Version: 1.0
 **/
@Api(tags={"发票交付"},value = "发票交付")
@RestController
@RequestMapping("/platForm/invoiceDelivery")
public class InvoiceDeliveryController {

    @Autowired
    private InvoiceDeliveryService invoiceDeliveryService;

    @ApiOperation("发票交付")
    @PostMapping("/delivery")
    public Object invoiceDelivery(@RequestBody List<InvoiceDeliveryJsonDataDTO> dtos){
        HXResponse response = invoiceDeliveryService.invoiceDelivery(dtos);
        return response;
    }
}
