package com.jianshui.web.controller.platform;

import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.platform.dto.TaxSwitchingDTO;
import com.jianshui.platform.service.TaxSwitchingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @Author: kane
 * @Description: 含税不含税切换控制类
 * @CreateTime: 2023-06-07  12:01
 * @Version: 1.0
 **/
@Api(tags = "含税不含税切换",value = "含税不含税切换")
@RestController
@RequestMapping("/platForm/taxSwitching")
public class TaxSwitchingController {

    @Autowired
    private TaxSwitchingService taxSwitchingService;

    @ApiOperation("含税不含税切换")
    @PostMapping("/switching")
    public AjaxResult taxSwitching(@RequestBody TaxSwitchingDTO dto){
        return taxSwitchingService.taxswitching(dto);
    }
}
