package com.jianshui.platform.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.jianshui.common.utils.ValidateUtils;
import com.jianshui.invoice.domain.BillInfo;
import com.jianshui.invoice.mapper.BillInfoMapper;
import com.jianshui.platform.dto.BillInfoPDTO;
import com.jianshui.platform.service.InvoiceAddService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 发票录入
 * 
 */
@Service
public class InvoiceAddServiceImpl implements InvoiceAddService {

    @Autowired
    private static BillInfoMapper billInfoMapper;

    @Override
    public int invoiceSave(BillInfoPDTO billInfoPDTO) {
        ValidateUtils.validate(billInfoPDTO);

        BillInfo billInfo = BeanUtil.copyProperties(billInfoPDTO, BillInfo.class);
        // 手工录入
        billInfo.setSource("3");
        return billInfoMapper.insertBillInfo(billInfo);

    }








































}
